program wesi;
Var
i,t,m:longint;
k:real;
Begin
 assign(input,'WEIGHING.in'); reset(input);
 Read(t);
 for i:=1 to t do
  Begin
 Read(m);
 if m=2 then k:=1
 else
 k:=(m/2);
  WriteLn('',trunc(k));
 end;
end.